Class(function(extend, using, self){
    extend("pages/page");
    using("lib/jquery.min.js");

    self.obs_ref = null;
    self.initEvent = function(){
        $(".btn:first").click(function(){
            var option = 0;
            var value = $(".checkbox input").is(':checked');
            if(value == true) option = 1;
            Audio.ObsAlert.obs_ref.btn_apply(1, option);
        });

        $(".btn:last").click(function(){
            Audio.ObsAlert.obs_ref.btn_cancel();
        });

        /*
         * 点击label，相邻兄弟节点checked改变状态
         */
        $(document).delegate("#no_alert", "click", function () {
            var flag = $(this).prev().is(":checked");
            if(flag == true) {
                $(this).prev().prop('checked', false);
            } else {
                $(this).prev().prop('checked', true);
            }
        });
    }

    self.func(function(curData){
        var that = this;
        that.obs_ref = curData;//obsconfirm;

        var str_link = that.obs_ref.get_link_address();
        $(".tutorial").attr("href",str_link);

        that.sup().constructor(curData);
        that.initEvent();
    })
})

